#!/bin/bash
echo -----------------------------------
echo Using pip to install Python $PY_VER version of onnx
if [ `uname` == Linux ]; then
    if [ "$PY_VER" == "3.6" ]; then
        wheel_url=https://files.pythonhosted.org/packages/36/ee/bc7bc88fc8449266add978627e90c363069211584b937fd867b0ccc59f09/onnx-1.7.0-cp36-cp36m-manylinux1_x86_64.whl
    elif [ "$PY_VER" == "3.7" ]; then
        wheel_url=https://files.pythonhosted.org/packages/d9/fb/3193df06e0feae7884d25e11e41b410ecd3c0a17445b941767c772dc8cf7/onnx-1.7.0-cp37-cp37m-manylinux1_x86_64.whl
    elif [ "$PY_VER" == "3.8" ]; then
        wheel_url=https://files.pythonhosted.org/packages/aa/4a/4d84b43473cf4b89b2b1c214252f2a2ddb50354a86541d0733aa739d2921/onnx-1.7.0-cp38-cp38-manylinux1_x86_64.whl
    fi
fi


if ["$wheel_url" == ""]; then
    echo Unsupported Python version $PY_VER.
    exit 1
fi

$PYTHON -m pip install --no-deps $wheel_url -vv

errorlevel=$?
echo $status
echo ERRORLEVEL: $rc
exit $rc

